cURL
curl --request GET \
--url https://app.masivo.ai/api/storefront/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'x-account-id: <x-account-id>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"persona_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"document_type": "<string>",
"document_number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"first_name": "<string>",
"second_name": "<string>",
"last_name": "<string>",
"second_last_name": "<string>",
"email_verified": false,
"dob": "2023-12-25",
"country": "<string>",
"city": "<string>",
"phone": "<string>",
"is_anonymous": false,
"source": "<string>",
"channel": "<string>",
"phone_verified": false,
"status": "ACTIVE",
"tags": {},
"addresses": [
{
"street_1": "<string>",
"street_2": "<string>",
"street_number": "<string>",
"reference": "<string>",
"alias": "<string>",
"zip_code": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>"
}
],
"billing_info": [
{
"document_number": "<string>",
"document_type": "<string>",
"legal_name": "<string>",
"alias": "<string>",
"street_1": "<string>",
"street_2": "<string>",
"street_number": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"phone": "<string>",
"email": "<string>"
}
],
"payments": [
{
"last_four": "<string>",
"card_holder": "<string>",
"card_brand": "<string>",
"alias": "<string>",
"expiry_month": 123,
"expiry_year": 123
}
],
"data": {
"contact": {},
"order": {
"purchase_id": "<string>",
"value": 20.95,
"discounted_value": 10.95,
"products": [
{
"sku": "<string>",
"amount": 123,
"value": 123,
"discounted_value": 123,
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"tags": {},
"metadata": {}
}
],
"channel_id": "<string>",
"store_id": "<string>",
"shipping": {
"value": 3.25,
"discounted_value": 2.25,
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"tags": {},
"metadata": {}
},
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"metadata": {},
"brand_id": "<string>"
},
"identity_resolutions": [
{
"conditions": "<array>",
"max_group_size": 123,
"temporal_limits": "<array>",
"description": "<string>",
"isDefault": true
}
]
}
}
]
}Contacts
Search contacts
Search for contacts using specific criteria. This endpoint allows you to find contacts by their unique identifiers: external ID, email, or document number. At least one of these three fields is required.
GET
/
contacts
cURL
curl --request GET \
--url https://app.masivo.ai/api/storefront/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'x-account-id: <x-account-id>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"persona_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"document_type": "<string>",
"document_number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"first_name": "<string>",
"second_name": "<string>",
"last_name": "<string>",
"second_last_name": "<string>",
"email_verified": false,
"dob": "2023-12-25",
"country": "<string>",
"city": "<string>",
"phone": "<string>",
"is_anonymous": false,
"source": "<string>",
"channel": "<string>",
"phone_verified": false,
"status": "ACTIVE",
"tags": {},
"addresses": [
{
"street_1": "<string>",
"street_2": "<string>",
"street_number": "<string>",
"reference": "<string>",
"alias": "<string>",
"zip_code": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>"
}
],
"billing_info": [
{
"document_number": "<string>",
"document_type": "<string>",
"legal_name": "<string>",
"alias": "<string>",
"street_1": "<string>",
"street_2": "<string>",
"street_number": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"phone": "<string>",
"email": "<string>"
}
],
"payments": [
{
"last_four": "<string>",
"card_holder": "<string>",
"card_brand": "<string>",
"alias": "<string>",
"expiry_month": 123,
"expiry_year": 123
}
],
"data": {
"contact": {},
"order": {
"purchase_id": "<string>",
"value": 20.95,
"discounted_value": 10.95,
"products": [
{
"sku": "<string>",
"amount": 123,
"value": 123,
"discounted_value": 123,
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"tags": {},
"metadata": {}
}
],
"channel_id": "<string>",
"store_id": "<string>",
"shipping": {
"value": 3.25,
"discounted_value": 2.25,
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"tags": {},
"metadata": {}
},
"redeem": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1
}
],
"metadata": {},
"brand_id": "<string>"
},
"identity_resolutions": [
{
"conditions": "<array>",
"max_group_size": 123,
"temporal_limits": "<array>",
"description": "<string>",
"isDefault": true
}
]
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Your account ID
Query Parameters
Contact email address
Document number
External contact ID
Second last name
Date of birth
Persona ID for unified contacts
Contact phone number
Contact gender
Contact document type
Contact first name
Contact last name
Contact country
Contact city
Contact source
Contact channel
Response
Ok
Show child attributes
Show child attributes
⌘I